<?
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');

mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
$sql_vestibular = "select * from vestibulares where codigo = $qual_vestibular";
$result = mysql_query($sql_vestibular)
		or die ( 'Não foi possível executar a query vestibular.' );
$info = mysql_fetch_array($result);
$cursos_do_vestibular = $info["cursos"];
$gera_sql = split(",",$cursos_do_vestibular);
$i = 0;
$retorna = 1;
$primeiro = 0;
$sql_cursos = "SELECT * FROM cursos where ";
while ($retorna == 1) {
	if ($gera_sql[$i] == '') {
		$retorna = 0;
	}
	else {
		if ($primeiro == 0) {
			$primeiro = 1;
		}
		else {
			$sql_cursos .= ' or ';
		}
		$sql_cursos .= 'codigo = ' . $gera_sql[$i] . ' ';
	}
	$i++;
}
$sql_cursos .= 'ORDER by codigo_curso ASC';
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<title>Cursos</title>
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#0000FF" vlink="#0000FF" alink="#FF0000">
<br>
<br>
<table width="80%" border="0" cellspacing="0" cellpadding="0" align="center">
<tr>
	<td>
		<div align="center"><strong><font face="Verdana" size="2" color="#800000">Classificação Final do Processo Seletivo</font></strong><br>
		<?
			if (!isset($curso)) {
		?>
		<font face="Verdana" size="2" color="#FF0000">Escolha o <strong>CURSO</strong> que deseja visualizar a classificação final</font></div>
		<?
			}
			else {
				if ((!isset($materia)) && (isset($curso))) {
			?>
			<?
				$sql_curso = "Select * from cursos where codigo = $curso";
				$result_curso = mysql_query($sql_curso)
					or die ( 'Não foi possível executar a query 161.' );
				$info_curso = mysql_fetch_array($result_curso);
				$curso_texto = $info_curso["nome_curso"];
			?>
			<font face="Verdana" size="2" color="#FF0000"><strong><font color="#000000">Curso de </font><? echo $curso_texto; ?></strong></font></div>
			<?
				}
				else {
			?>
			<?
				}
			}
		?>
	</td>
</tr>
</table>
<?
	if (!isset($curso)) {
		// Escolha do Curso 
		$sql = $sql_cursos;
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center>Não existe nenhum curso cadastrado no Sistema!!!</center>';
		}
		else {
			$cor = "FFFFFF";
			echo '<br><br>';
			echo '<table width="60%" border="0" cellspacing="0" cellpadding="0" align="center">';
			while($info = mysql_fetch_array($result)) {
				echo '<tr>';
					echo '<td>';
						echo '<font color = "000000" face ="verdana" size="2">' . $info["codigo_curso"] . '</font>';
					echo '</td>';
					echo '<td>';
						echo '<a href="class_final.php?curso=' . $info["codigo"]. '"><font color = "000000" face ="verdana" size="2">' .$info["nome_curso"]. '</font></a>';
					echo '</td>';
				echo '</tr>';
			}
			echo '</table><br><br>';
			$sql_110 = "SELECT * FROM configuracao where codigo = 7";
				$result_110 = mysql_query($sql_110)
					or die ( 'Não foi possível executar a query 161.' );
				while($info_110 = mysql_fetch_array($result_110)) {
					if ( $info_110["chave"] == 1){
						echo '<strong><div align="center"><a href="acao.php?acao=0" title="Liberar exibição da classificação final"><font face="Verdana" size="2" color="#000000">Liberar exibição da classificação final</font></a></div></strong>';
					}
					else {
						echo '<strong><div align="center"><a href="acao.php?acao=1" title="Bloquear exibição da classificação final"><font face="Verdana" size="2" color="#000000">Bloquear exibição da classificação final</font></a></div></strong>';
					}
				}

		}

}
else {
	$sql = "SELECT * FROM resultado_final where curso = '$curso' and codigo_vest = '$qual_vestibular' order by colocacao";
	$result = mysql_query($sql)
		or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
	if ($num == 0 ) {
		echo '<br><br><center><strong><font face="Verdana" size="2" color="#FF0000">Curso não processado ate o momento!!!</font></strong></center>';
	}
	else {
		$cor = "FFFFFF";
		echo '<br><br>';
		echo '<table width="90%" border="1" cellspacing="0" cellpadding="0" align="center">';
			echo '<tr>';
				echo '<td width="12%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Colocação</strong></font>';
				echo '</td>';
				echo '<td width="12%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Nº Insc</strong></font>';
				echo '</td>';
				echo '<td width="49%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Nome</strong></font>';
				echo '</td>';
				echo '<td width="12%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Pontuação</strong></font>';
				echo '</td>';
				echo '<td width="15%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Situação</strong></font>';
				echo '</td>';
			echo '</tr>';
		while($info = mysql_fetch_array($result)) {
			echo '<tr>';
				echo '<td bgcolor="'. $cor .'" align="center"><font color="#000000" face="verdana" size="2">';
					echo $info["colocacao"];
				echo '</font></td>';
				echo '<td bgcolor="'. $cor .'" align="center"><font color="#000000" face="verdana" size="2">';
					echo $info["matricula"];
					$matricula = $info["matricula"];
				echo '</font></td>';
				echo '<td bgcolor="'. $cor .'"><font color="#000000" face="verdana" size="2">';
					$sql_nome = "SELECT nome_candidato FROM candidato where codigo = $matricula";
					$result_nome = mysql_query($sql_nome)
						or die ( 'Não foi possível executar a query 161.' );
					$info_nome = mysql_fetch_array($result_nome);
					echo trim(Descriptografar($info_nome["nome_candidato"],$Chave));
				echo '</font></td>';
				echo '<td bgcolor="'. $cor .'" align="center"><font color="#000000" face="verdana" size="2">';
					echo $info["total_final"];
				echo '</font></td>';
				echo '<td bgcolor="'. $cor .'" align="center"><font color="#000000" face="verdana" size="2"><b>';
					$situacao = $info["situacao"];
					if ($situacao == 0)
						echo '<font color="red">Desclassificado</font>';
					if ($situacao == 1)
						echo '<font color="339900">Classificado</font>';
					if ($situacao == 2)
						echo '<font color="red">Desistente</font>';
					if ($situacao == 3)
						echo '<font color="#9999cc">Excedente</font>';
					if ($situacao == 4)
						echo '<font color="blue">Matriculado</font>';
				echo '</b></font></td>';
			echo '</tr>';
		if ($cor == "FFFFFF")
			$cor = "E1E1E1";
		else
			$cor = "FFFFFF";
		}
		echo '</table>';
	}
}
?>
<br>
<br>
<br>
</body>
</html>
